# Get Booking Custom Field List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=getBookingCustomFieldList`

Return the booking custom fields (definition) list.

#### Path Parameters

| Name    | Type    | Description                                                 |
| ------- | ------- | ----------------------------------------------------------- |
| perPage | integer | The number of booking custom fields to get in a single call |

{% tabs %}
{% tab title="200 " %}

```
{
    "meta": {
        "totalResults": 9,
        "start": 0,
        "perPage": 100,
        "count": 9
    },
    "results": [
        {
            "id": 1,
            "fieldType": 0,
            "displayName": "Small Text",
            "isRequired": false,
            "visibleTo": 3,
            "userGroupIds": [
                10
            ],
            "tooltipText": "",
            "isRequiredOnMarketplace": false,
            "sortOrder": 0,
            "selectValues": null
        },
    ]
}
```

{% endtab %}
{% endtabs %}

### Example Request

`Get Venues Function Space Category List`

```javascript
{
    "perPage":10
}
```

### Returns

`A collection object with the following properties in the results`

| Property                | Data Type | Description                                            |
| ----------------------- | --------- | ------------------------------------------------------ |
| id                      | integer   | The unique id of the booking custom field.             |
| fieldType               | integer   | The [type](#type) of this field.                       |
| displayName             | string    | The name of this field.                                |
| isRequired              | boolean   | If this is a required field.                           |
| visibleTo               | integer   | Field [visiblity options](#visiblity-to-options).      |
| userGroupIds            | array     | Ids of user groups if visible to specific user groups. |
| tooltipText             | string    | Tooltip text of the custom field.                      |
| isRequiredOnMarketplace | boolean   | Whether or not the field is required on marketplace.   |
| sortOrder               | integer   | Order to display this field.                           |
| selectValues            | object    | Values that can be selected with select fields.        |

### Type

| #  | Description   |
| -- | ------------- |
| 0  | Small Text    |
| 1  | Large Text    |
| 2  | Single Select |
| 3  | Multi Select  |
| 5  | Date          |
| 10 | Html Text     |

### Visiblity to Options

| # | Description |
| - | ----------- |
| 1 | All         |
| 2 | User Group  |
| 3 | None        |

#### Throws

| Code                 | Description            |
| -------------------- | ---------------------- |
| Specific Code: 24150 | Account does not exist |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/venues/venuedata/get-booking-custom-field-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
